Osheep

时光不回头,当下最重要。

iOS React Native version>=0.45 build double conversion fail (升级到0.45需要配置的资源)

新建的React  Native 项目,凡是版本号大于0.45的,iOS版本在build的时候会卡在build double conversion 这里。

==》解决方案在RN中文网有:http://reactnative.cn/post/4301

简单来说,0.45后的RN项目,会依赖一些三方库,然而在国内这些库很难下载到,翻墙也很难下到。

操作步骤:

1、查询具体需要的三方库:https://github.com/facebook/react-native/blob/master/scripts/ios-install-third-party.sh

2、有好人下好了放在百度云盘里了:http://pan.baidu.com/s/1kVDUAZ9

3、下下来后,把这些压缩文件放到  ~/.rncacheMac操作:Finder=》前往文件夹=》~/.rncache)

4、然后就可以开始撸码了

点赞